Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.beans
Class WSDataSourceConfig

    java.lang.Object
      com.bea.dsp.management.beans.DataSourceConfig
          com.bea.dsp.management.beans.HierarchicalDataSourceConfig
              com.bea.dsp.management.beans.WSDataSourceConfig

All Implemented Interfaces:
  Validatable, java.io.Serializable

    public final class WSDataSourceConfig

extends HierarchicalDataSourceConfig

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.dsp.management.beans.DataSourceConfig
`DataSourceConfig.ServiceAccountScope`

Constructor Summary
`WSDataSourceConfig(java.lang.String id)`

Method Summary
`java.lang.String` | `getNewPortName(java.lang.String originalServiceName, java.lang.String originalPortName)` Returns the new port name set for the passed port.
`java.lang.String` | `getNewServiceName(java.lang.String originalServiceName)` Returns the new name for the passed original service name.
`EndPointConfig` | `getOperation(java.lang.String originalServiceName, java.lang.String originalPortName, java.lang.String originalOperationName, int arity)` Returns the operation endpoint for the passed service, port and operation.
`java.util.Set<java.lang.String>` | `getOperationDependents(java.lang.String originalServiceName, java.lang.String originalPortName, java.lang.String originalOperationName, int arity)` Returns the list of dependents of the passed operation.
`java.util.Collection<EndPointConfig>` | `getOperations(java.lang.String originalServiceName, java.lang.String originalPortName)` Returns a non null list of operations for the service, port pair.
`java.util.Set<java.lang.String>` | `getOriginalPortNames(java.lang.String originalServiceName)` Returns a list of port names for the passed service name.
`java.util.Set<java.lang.String>` | `getOriginalServiceNames()` Returns a list original names of services in this web service.
`void` | `setNewPortName(java.lang.String originalServiceName, java.lang.String originalPortName, java.lang.String newPortName)` Sets the new port name for the passed port.
`void` | `setNewServiceName(java.lang.String originalServiceName, java.lang.String newServiceName)` Sets the new name to the service with the older name.

Methods inherited from class com.bea.dsp.management.beans.HierarchicalDataSourceConfig
`getContainer, getContainers, getEndPoint, getEndPoints`

Methods inherited from class com.bea.dsp.management.beans.DataSourceConfig
`getDataSourceId, getDependents, getNewId, getServiceAccountName, getServiceAccountNames, readResolve, setNewId, setServiceAccountName, setServiceAccountNames, validate, writeReplace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSDataSourceConfig

    public WSDataSourceConfig(java.lang.String id)

Method Detail

### getOriginalServiceNames

    public java.util.Set<java.lang.String> getOriginalServiceNames()

  Returns a list original names of services in this web service.

  Returns:
    a list original names of services in this web service

### getNewServiceName

    public java.lang.String getNewServiceName(java.lang.String originalServiceName)

  Returns the new name for the passed original service name. Returns null if the new name is not set.

  Parameters:
    `originalServiceName` -
  Returns:
    the new name for the passed original service name

### setNewServiceName

    public void setNewServiceName(java.lang.String originalServiceName,
                                  java.lang.String newServiceName)
                           throws java.lang.Exception

  Sets the new name to the service with the older name.

  Parameters:
    `originalServiceName` -
    `newServiceName` -
  Throws:
    `java.lang.Exception`

### getOriginalPortNames

    public java.util.Set<java.lang.String> getOriginalPortNames(java.lang.String originalServiceName)

  Returns a list of port names for the passed service name.

  Parameters:
    `originalServiceName` -
  Returns:
    a list of port names for the passed service name

### getNewPortName

    public java.lang.String getNewPortName(java.lang.String originalServiceName,
                                           java.lang.String originalPortName)

  Returns the new port name set for the passed port.

  Parameters:
    `originalServiceName` -
    `originalPortName` -
  Returns:
    the new port name

### setNewPortName

    public void setNewPortName(java.lang.String originalServiceName,
                               java.lang.String originalPortName,
                               java.lang.String newPortName)
                        throws java.lang.Exception

  Sets the new port name for the passed port.

  Parameters:
    `originalServiceName` -
    `originalPortName` -
    `newPortName` -
  Throws:
    `java.lang.Exception`

### getOperations

    public java.util.Collection<EndPointConfig> getOperations(java.lang.String originalServiceName,
                                                              java.lang.String originalPortName)

  Returns a non null list of operations for the service, port pair. New name can be set on the retuned operations. Similarly dependents can be fetched from these operations. The returned list can be empty.

  Parameters:
    `originalServiceName` -
    `originalPortName` -
  Returns:
    a list of operations for the service, port pair

### getOperation

    public EndPointConfig getOperation(java.lang.String originalServiceName,
                                       java.lang.String originalPortName,
                                       java.lang.String originalOperationName,
                                       int arity)

  Returns the operation endpoint for the passed service, port and operation. Returned value can be null if no such endpoint exist. New name can be set on the retuned operation. Similarly dependents can be fetched from this operation.

  Parameters:
    `originalServiceName` -
    `originalPortName` -
    `originalOperationName` -
    `arity` -
  Returns:
    a specific operation endpoint config

### getOperationDependents

    public java.util.Set<java.lang.String> getOperationDependents(java.lang.String originalServiceName,
                                                                  java.lang.String originalPortName,
                                                                  java.lang.String originalOperationName,
                                                                  int arity)

  Returns the list of dependents of the passed operation.

  Parameters:
    `originalServiceName` -
    `originalPortName` -
    `originalOperationName` -
    `arity` -
  Returns:
    the list of dependents of the passed operation
  See Also:
    `getOperations(String,String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.